Subject: RE: 3gpp transition solutions, revision -02

From: "BELOEIL Luc FTRD/DMI/CAE" <[email-masked]>
Date: Thu, 7 Nov 2002 17:44:14 +0100

> De : Brian E Carpenter [mailto:[email-masked]]
> 
> "Hesham Soliman (EAB)" wrote:
> > 
> >   > > => In theory, yes. But we need to get an IP n IP profile
> >   > > for ROHC. Pretty easily done.
> >   > >
> >   >
> >   > ok, and that sounds better than using translation mechanisms.
> > 
> > => Sorry, I don't think this has anything to do with replacing
> > translation. We're talking about two different cases. I was
> > trying to explain that tunnelling overhead, over the air interface
> > can be removed with ROHC. That doesn't mean that IPv6 UEs will
> > not talk to IPv4 UEs.
> 
> What is the plan for apps that are broken by NAT? Won't the
> supported apps be relatively few, and better handled by dual stack
> application proxies than by NAT-PT?
> 
>    Brian
> 
The main situation where NAT-PT has been chosen by 3GPP is the services
provided by IMS. IMS services are only SIP-based services. For SIP-based
services an application proxy is not sufficient.

Luc

---

From: Keith Moore <[email-masked]>
Date: Thu, 07 Nov 2002 12:21:25 -0500

> For SIP-based services an application proxy is not sufficient.

and NAT-PT is sufficient?  from my limited knowledge of SIP I find this 
surprising.

however I don't see a huge problem with using NAT-PT only for a specific
set of well-defined services on networks with known characteristics; 
presumably it can be adapted as needed to accomodate those services.  

the imposition of NAT-PT on other services is of course a separate question.